PHP ��U
前一頁 |  | 下一頁

# SimpleXMLElement->addChild()

(no version information, might be only in CVS)

SimpleXMLElement->addChild() -- Adds a child element to the XML node

## Description

class SimpleXMLElement {
SimpleXMLElement addChild ( string name [, string value [, string namespace]] )
}

Adds a child element to the node and returns a SimpleXMLElement of the child.

## Parameters

name

  The name of the child element to add.

value

  If specified, the value of the child element.

namespace

  If specified, the namespace to which the child element belongs.

## Return Values

The addChild method returns a SimpleXMLElement object representing the child added to the XML node.

## �d��

範例 1. Add attributes and children to a SimpleXML element

`<?php
include 'example.php';
$sxe = new SimpleXMLElement($xmlstr);
$sxe->addAttribute('type', 'documentary');
$movie = $sxe->addChild('movie');
$movie->addChild('title', 'PHP2: More Parser Stories');
$movie->addChild('plot', 'This is all about the people who make it work.');
$characters = $movie->addChild('characters');
$character = $characters->addChild('character');
$character->addChild('name', 'Mr. Parser');
$character->addChild('actor', 'John Doe');
$rating = $movie->addChild('rating', '5');
$rating->addAttribute('type', 'stars');
echo $sxe->asXML();
?>`

## �Ѧ�

SimpleXMLElement->addAttribute()

前一頁 | 內容 | 下一頁
SimpleXMLElement->addAttribute() | 上一層 | SimpleXMLElement->asXML()